Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231219 - devel/ia64: Unable to handle kernel NULL pointer dereferrence
Summary: devel/ia64: Unable to handle kernel NULL pointer dereferrence
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Prarit Bhargava
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: fedora-ia64
TreeView+ depends on / blocked
 
Reported: 2007-03-06 20:10 UTC by Jarod Wilson
Modified: 2007-11-30 22:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-23 16:36:33 UTC


Attachments (Terms of Use)
Serial console output from kernel panic (deleted)
2007-03-06 20:10 UTC, Jarod Wilson
no flags Details
Fix for this issue (deleted)
2007-03-08 14:39 UTC, Prarit Bhargava
no flags Details | Diff

Description Jarod Wilson 2007-03-06 20:10:38 UTC
Description of problem:
Kernel 2.6.20-1.2966.fc7 fails to boot an installed ia64 system, hitting a NULL
pointer deref, as per the output attached to the bug.

Comment 1 Jarod Wilson 2007-03-06 20:10:38 UTC
Created attachment 149375 [details]
Serial console output from kernel panic

Comment 2 Prarit Bhargava 2007-03-07 16:51:30 UTC
Happens in 2.6.21-rc3 (latest upstream) as well.

P.

Comment 3 Prarit Bhargava 2007-03-08 14:33:46 UTC
I was just about to post a patch to linux-ia64 when I noticed that Tony Luck
beat me to it :)

http://marc.theaimsgroup.com/?l=linux-ia64&m=117331002917810&w=2

Testing with his patch which includes sn specific changes.

P.

Comment 4 Prarit Bhargava 2007-03-08 14:39:29 UTC
Created attachment 149566 [details]
Fix for this issue

Cleanly applies to current rawhide.


Note You need to log in before you can comment on or make changes to this bug.